init.names {sma} | R Documentation

## Set and Read the Names of Experimental Data.

### Description

`init.name.exp' creates a look-up table which contains the names of the experimental data files and the corresponding object names in R.
`init.show.exp' displays the look-up table created by `init.name.exp`.

### Usage

    init.name.exp(Robject=FALSE)
    init.show.exp(batch)

### Arguments

`Robject` | if TRUE, the function generates a matrix of characters. Otherwise, this matrix is written to a file.
`batch` | Character string, this refers to the name of a collection of experiments.

### Value

`init.show.exp` returns a list containing the following components:

`Name in R` | the object names in R;
`Filename` | the experimental data filenames, including the full path name for each file.

### Author(s)

Yee Hwa Yang, yeehwa@stat.berkeley.edu

### References

Spot manual http://www.cmis.csiro.au/iap/Spot/spotmanual.htm

### Examples

    ## init.name.exp() ## To create the look-up table.

    ## This is what you should see:
    ## Are you creating a new batch.exp file or adding new data names
    ## to a prexisting batch.exp file?
    ## Enter "n" for creating  and "a" for adding new data names: n
    ## Enter the batch name for the new .exp file: mouse1
    ## Enter the number of names of files to be entered: 2
    ##  Enter the R name of your  1 th dataset: m1
    ##  Enter the actual file name including the full path name for m1 ?
    ##  ~/path/image1.data
    ##  Enter the R name of your  2 th dataset: m2
    ##  Enter the actual file name including the full path name for m2 ?
    ##  ~/path/image2.data
    ## Finished adding names to .exp file.
    ## NULL

    ## View the look-up table.
    ## init.show.exp("mouse1")
    ##
    ##    Name in R           Filename
    ## 1        m1    ~/path/image1.data
    ## 2        m2    ~/path/image2.data

[Package sma version 0.5.14 Index]